Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.impl
Class ShortcutImpl

    java.lang.Object
      EReferenceImpl
          org.eclipse.gmt.modisco.infra.facet.impl.ShortcutImpl

All Implemented Interfaces:
  Shortcut

    public class ShortcutImpl

extends EReferenceImpl
implements Shortcut

An implementation of the model object 'Shortcut'.

The following features are implemented:

- `Path`
- `Opposite Reference`

Method Summary
`EReference` | `basicGetOppositeReference()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`EReference` | `getOppositeReference()`
`` | `getPath()`
`void` | `setOppositeReference(EReference newOppositeReference)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPath

    public  getPath()

  Specified by:
    `getPath` in interface `Shortcut`
  Returns:
    the value of the 'Path' reference list.
  See Also:
    `FacetPackage.getShortcut_Path()`

### getOppositeReference

    public EReference getOppositeReference()

  Specified by:
    `getOppositeReference` in interface `Shortcut`
  Returns:
    the value of the 'Opposite Reference' reference.
  See Also:
    `Shortcut.setOppositeReference(EReference)`, `FacetPackage.getShortcut_OppositeReference()`

### basicGetOppositeReference

    public EReference basicGetOppositeReference()

### setOppositeReference

    public void setOppositeReference(EReference newOppositeReference)

  Specified by:
    `setOppositeReference` in interface `Shortcut`
  Parameters:
    `newOppositeReference` - the new value of the 'Opposite Reference' reference.
  See Also:
    `Shortcut.getOppositeReference()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD